#include "netex.h"
#include "netexssl.h"
#include <openssl/bio.h>
#include <openssl/ssl.h>
#include <openssl/err.h>

void init_openssl(void)
{
    PRINT_LINE("Initializing OpenSSL...");
    SSL_load_error_strings();
    SSL_library_init();
    OpenSSL_add_all_algorithms();
    PRINT_LINE("OpenSSL initialized!");
}
void shutdown_openssl(void)
{
    PRINT_LINE("Shuttingdown OpenSSL...");
    ERR_free_strings();
    EVP_cleanup();
}